Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.adata
Interface DataPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  DataPackageImpl

    public interface DataPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `DataFactory`

Nested Class Summary
`static interface` | `DataPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `CATALOG` The meta object id for the '`Catalog`' class.
`static int` | `CATALOG__RUNS` The feature id for the 'Runs' containment reference list.
`static int` | `CATALOG_FEATURE_COUNT` The number of structural features of the 'Catalog' class.
`static int` | `DATA_POINT` The meta object id for the '`Point`' class.
`static int` | `DATA_POINT__MEASUREMENT` The feature id for the 'Measurement' container reference.
`static int` | `DATA_POINT__PERIOD` The feature id for the 'Period' attribute.
`static int` | `DATA_POINT__VALUE` The feature id for the 'Value' attribute.
`static int` | `DATA_POINT_FEATURE_COUNT` The number of structural features of the 'Point' class.
`static DataPackage` | `eINSTANCE` The singleton instance of the package.
`static java.lang.String` | `eNAME` The package name.
`static java.lang.String` | `eNS_PREFIX` The package namespace name.
`static java.lang.String` | `eNS_URI` The package namespace URI.
`static int` | `MEASUREMENT` The meta object id for the '`Measurement`' class.
`static int` | `MEASUREMENT__ENTRIES` The feature id for the 'Entries' containment reference list.
`static int` | `MEASUREMENT__NAME` The feature id for the 'Name' attribute.
`static int` | `MEASUREMENT__RUN` The feature id for the 'Run' container reference.
`static int` | `MEASUREMENT__TYPE` The feature id for the 'Type' attribute.
`static int` | `MEASUREMENT__VALUE` The feature id for the 'Value' reference.
`static int` | `MEASUREMENT_FEATURE_COUNT` The number of structural features of the 'Measurement' class.
`static int` | `PARAMETER` The meta object id for the '`Parameter`' class.
`static int` | `PARAMETER__ATTRIBUTE` The feature id for the 'Attribute' reference.
`static int` | `PARAMETER__NAME` The feature id for the 'Name' attribute.
`static int` | `PARAMETER__VALUE` The feature id for the 'Value' attribute.
`static int` | `PARAMETER_FEATURE_COUNT` The number of structural features of the 'Parameter' class.
`static int` | `PARAMETER_SET` The meta object id for the '`Parameter Set`' class.
`static int` | `PARAMETER_SET__MEMBERS` The feature id for the 'Members' containment reference list.
`static int` | `PARAMETER_SET_FEATURE_COUNT` The number of structural features of the 'Parameter Set' class.
`static int` | `RUN` The meta object id for the '`Run`' class.
`static int` | `RUN__FINISHED` The feature id for the 'Finished' attribute.
`static int` | `RUN__MEASUREMENTS` The feature id for the 'Measurements' containment reference list.
`static int` | `RUN__MODEL` The feature id for the 'Model' reference.
`static int` | `RUN__NAME` The feature id for the 'Name' attribute.
`static int` | `RUN__PARAMETER_SETS` The feature id for the 'Parameter Sets' containment reference list.
`static int` | `RUN__STARTED` The feature id for the 'Started' attribute.
`static int` | `RUN_FEATURE_COUNT` The number of structural features of the 'Run' class.
`static int` | `SCALE_TYPE` The meta object id for the '`Scale Type`' enum.

Method Summary
`org.eclipse.emf.ecore.EReference` | `getCatalog_Runs()` Returns the meta object for the containment reference list '`Runs`'.
`org.eclipse.emf.ecore.EClass` | `getCatalog()` Returns the meta object for class '`Catalog`'.
`DataFactory` | `getDataFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EReference` | `getDataPoint_Measurement()` Returns the meta object for the container reference '`Measurement`'.
`org.eclipse.emf.ecore.EAttribute` | `getDataPoint_Period()` Returns the meta object for the attribute '`Period`'.
`org.eclipse.emf.ecore.EAttribute` | `getDataPoint_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` | `getDataPoint()` Returns the meta object for class '`Point`'.
`org.eclipse.emf.ecore.EReference` | `getMeasurement_Entries()` Returns the meta object for the containment reference list '`Entries`'.
`org.eclipse.emf.ecore.EAttribute` | `getMeasurement_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EReference` | `getMeasurement_Run()` Returns the meta object for the container reference '`Run`'.
`org.eclipse.emf.ecore.EAttribute` | `getMeasurement_Type()` Returns the meta object for the attribute '`Type`'.
`org.eclipse.emf.ecore.EReference` | `getMeasurement_Value()` Returns the meta object for the reference '`Value`'.
`org.eclipse.emf.ecore.EClass` | `getMeasurement()` Returns the meta object for class '`Measurement`'.
`org.eclipse.emf.ecore.EReference` | `getParameter_Attribute()` Returns the meta object for the reference '`Attribute`'.
`org.eclipse.emf.ecore.EAttribute` | `getParameter_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EAttribute` | `getParameter_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` | `getParameter()` Returns the meta object for class '`Parameter`'.
`org.eclipse.emf.ecore.EReference` | `getParameterSet_Members()` Returns the meta object for the containment reference list '`Members`'.
`org.eclipse.emf.ecore.EClass` | `getParameterSet()` Returns the meta object for class '`Parameter Set`'.
`org.eclipse.emf.ecore.EAttribute` | `getRun_Finished()` Returns the meta object for the attribute '`Finished`'.
`org.eclipse.emf.ecore.EReference` | `getRun_Measurements()` Returns the meta object for the containment reference list '`Measurements`'.
`org.eclipse.emf.ecore.EReference` | `getRun_Model()` Returns the meta object for the reference '`Model`'.
`org.eclipse.emf.ecore.EAttribute` | `getRun_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EReference` | `getRun_ParameterSets()` Returns the meta object for the containment reference list '`Parameter Sets`'.
`org.eclipse.emf.ecore.EAttribute` | `getRun_Started()` Returns the meta object for the attribute '`Started`'.
`org.eclipse.emf.ecore.EClass` | `getRun()` Returns the meta object for class '`Run`'.
`org.eclipse.emf.ecore.EEnum` | `getScaleType()` Returns the meta object for enum '`Scale Type`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final DataPackage eINSTANCE

  The singleton instance of the package.

### RUN

    static final int RUN

  The meta object id for the '`Run`' class.

  See Also:
    `RunImpl`, `DataPackageImpl.getRun()`, Constant Field Values

### RUN__MODEL

    static final int RUN__MODEL

  The feature id for the 'Model' reference.

  See Also:
    Constant Field Values

### RUN__STARTED

    static final int RUN__STARTED

  The feature id for the 'Started' attribute.

  See Also:
    Constant Field Values

### RUN__FINISHED

    static final int RUN__FINISHED

  The feature id for the 'Finished' attribute.

  See Also:
    Constant Field Values

### RUN__NAME

    static final int RUN__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### RUN__PARAMETER_SETS

    static final int RUN__PARAMETER_SETS

  The feature id for the 'Parameter Sets' containment reference list.

  See Also:
    Constant Field Values

### RUN__MEASUREMENTS

    static final int RUN__MEASUREMENTS

  The feature id for the 'Measurements' containment reference list.

  See Also:
    Constant Field Values

### RUN_FEATURE_COUNT

    static final int RUN_FEATURE_COUNT

  The number of structural features of the 'Run' class.

  See Also:
    Constant Field Values

### PARAMETER

    static final int PARAMETER

  The meta object id for the '`Parameter`' class.

  See Also:
    `ParameterImpl`, `DataPackageImpl.getParameter()`, Constant Field Values

### PARAMETER__VALUE

    static final int PARAMETER__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### PARAMETER__ATTRIBUTE

    static final int PARAMETER__ATTRIBUTE

  The feature id for the 'Attribute' reference.

  See Also:
    Constant Field Values

### PARAMETER__NAME

    static final int PARAMETER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### PARAMETER_FEATURE_COUNT

    static final int PARAMETER_FEATURE_COUNT

  The number of structural features of the 'Parameter' class.

  See Also:
    Constant Field Values

### DATA_POINT

    static final int DATA_POINT

  The meta object id for the '`Point`' class.

  See Also:
    `DataPointImpl`, `DataPackageImpl.getDataPoint()`, Constant Field Values

### DATA_POINT__PERIOD

    static final int DATA_POINT__PERIOD

  The feature id for the 'Period' attribute.

  See Also:
    Constant Field Values

### DATA_POINT__VALUE

    static final int DATA_POINT__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### DATA_POINT__MEASUREMENT

    static final int DATA_POINT__MEASUREMENT

  The feature id for the 'Measurement' container reference.

  See Also:
    Constant Field Values

### DATA_POINT_FEATURE_COUNT

    static final int DATA_POINT_FEATURE_COUNT

  The number of structural features of the 'Point' class.

  See Also:
    Constant Field Values

### CATALOG

    static final int CATALOG

  The meta object id for the '`Catalog`' class.

  See Also:
    `CatalogImpl`, `DataPackageImpl.getCatalog()`, Constant Field Values

### CATALOG__RUNS

    static final int CATALOG__RUNS

  The feature id for the 'Runs' containment reference list.

  See Also:
    Constant Field Values

### CATALOG_FEATURE_COUNT

    static final int CATALOG_FEATURE_COUNT

  The number of structural features of the 'Catalog' class.

  See Also:
    Constant Field Values

### MEASUREMENT

    static final int MEASUREMENT

  The meta object id for the '`Measurement`' class.

  See Also:
    `MeasurementImpl`, `DataPackageImpl.getMeasurement()`, Constant Field Values

### MEASUREMENT__TYPE

    static final int MEASUREMENT__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values

### MEASUREMENT__VALUE

    static final int MEASUREMENT__VALUE

  The feature id for the 'Value' reference.

  See Also:
    Constant Field Values

### MEASUREMENT__NAME

    static final int MEASUREMENT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### MEASUREMENT__ENTRIES

    static final int MEASUREMENT__ENTRIES

  The feature id for the 'Entries' containment reference list.

  See Also:
    Constant Field Values

### MEASUREMENT__RUN

    static final int MEASUREMENT__RUN

  The feature id for the 'Run' container reference.

  See Also:
    Constant Field Values

### MEASUREMENT_FEATURE_COUNT

    static final int MEASUREMENT_FEATURE_COUNT

  The number of structural features of the 'Measurement' class.

  See Also:
    Constant Field Values

### PARAMETER_SET

    static final int PARAMETER_SET

  The meta object id for the '`Parameter Set`' class.

  See Also:
    `ParameterSetImpl`, `DataPackageImpl.getParameterSet()`, Constant Field Values

### PARAMETER_SET__MEMBERS

    static final int PARAMETER_SET__MEMBERS

  The feature id for the 'Members' containment reference list.

  See Also:
    Constant Field Values

### PARAMETER_SET_FEATURE_COUNT

    static final int PARAMETER_SET_FEATURE_COUNT

  The number of structural features of the 'Parameter Set' class.

  See Also:
    Constant Field Values

### SCALE_TYPE

    static final int SCALE_TYPE

  The meta object id for the '`Scale Type`' enum.

  See Also:
    `ScaleType`, `DataPackageImpl.getScaleType()`, Constant Field Values

Method Detail

### getRun

    org.eclipse.emf.ecore.EClass getRun()

  Returns the meta object for class '`Run`'.

  Returns:
    the meta object for class 'Run'.
  See Also:
    `Run`

### getRun_Model

    org.eclipse.emf.ecore.EReference getRun_Model()

  Returns the meta object for the reference '`Model`'.

  Returns:
    the meta object for the reference 'Model'.
  See Also:
    `Run.getModel()`, `getRun()`

### getRun_Started

    org.eclipse.emf.ecore.EAttribute getRun_Started()

  Returns the meta object for the attribute '`Started`'.

  Returns:
    the meta object for the attribute 'Started'.
  See Also:
    `Run.getStarted()`, `getRun()`

### getRun_Finished

    org.eclipse.emf.ecore.EAttribute getRun_Finished()

  Returns the meta object for the attribute '`Finished`'.

  Returns:
    the meta object for the attribute 'Finished'.
  See Also:
    `Run.getFinished()`, `getRun()`

### getRun_Name

    org.eclipse.emf.ecore.EAttribute getRun_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Run.getName()`, `getRun()`

### getRun_ParameterSets

    org.eclipse.emf.ecore.EReference getRun_ParameterSets()

  Returns the meta object for the containment reference list '`Parameter Sets`'.

  Returns:
    the meta object for the containment reference list 'Parameter Sets'.
  See Also:
    `Run.getParameterSets()`, `getRun()`

### getRun_Measurements

    org.eclipse.emf.ecore.EReference getRun_Measurements()

  Returns the meta object for the containment reference list '`Measurements`'.

  Returns:
    the meta object for the containment reference list 'Measurements'.
  See Also:
    `Run.getMeasurements()`, `getRun()`

### getParameter

    org.eclipse.emf.ecore.EClass getParameter()

  Returns the meta object for class '`Parameter`'.

  Returns:
    the meta object for class 'Parameter'.
  See Also:
    `Parameter`

### getParameter_Attribute

    org.eclipse.emf.ecore.EReference getParameter_Attribute()

  Returns the meta object for the reference '`Attribute`'.

  Returns:
    the meta object for the reference 'Attribute'.
  See Also:
    `Parameter.getAttribute()`, `getParameter()`

### getParameter_Name

    org.eclipse.emf.ecore.EAttribute getParameter_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Parameter.getName()`, `getParameter()`

### getParameter_Value

    org.eclipse.emf.ecore.EAttribute getParameter_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `Parameter.getValue()`, `getParameter()`

### getDataPoint

    org.eclipse.emf.ecore.EClass getDataPoint()

  Returns the meta object for class '`Point`'.

  Returns:
    the meta object for class 'Point'.
  See Also:
    `DataPoint`

### getDataPoint_Period

    org.eclipse.emf.ecore.EAttribute getDataPoint_Period()

  Returns the meta object for the attribute '`Period`'.

  Returns:
    the meta object for the attribute 'Period'.
  See Also:
    `DataPoint.getPeriod()`, `getDataPoint()`

### getDataPoint_Value

    org.eclipse.emf.ecore.EAttribute getDataPoint_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `DataPoint.getValue()`, `getDataPoint()`

### getDataPoint_Measurement

    org.eclipse.emf.ecore.EReference getDataPoint_Measurement()

  Returns the meta object for the container reference '`Measurement`'.

  Returns:
    the meta object for the container reference 'Measurement'.
  See Also:
    `DataPoint.getMeasurement()`, `getDataPoint()`

### getCatalog

    org.eclipse.emf.ecore.EClass getCatalog()

  Returns the meta object for class '`Catalog`'.

  Returns:
    the meta object for class 'Catalog'.
  See Also:
    `Catalog`

### getCatalog_Runs

    org.eclipse.emf.ecore.EReference getCatalog_Runs()

  Returns the meta object for the containment reference list '`Runs`'.

  Returns:
    the meta object for the containment reference list 'Runs'.
  See Also:
    `Catalog.getRuns()`, `getCatalog()`

### getMeasurement

    org.eclipse.emf.ecore.EClass getMeasurement()

  Returns the meta object for class '`Measurement`'.

  Returns:
    the meta object for class 'Measurement'.
  See Also:
    `Measurement`

### getMeasurement_Type

    org.eclipse.emf.ecore.EAttribute getMeasurement_Type()

  Returns the meta object for the attribute '`Type`'.

  Returns:
    the meta object for the attribute 'Type'.
  See Also:
    `Measurement.getType()`, `getMeasurement()`

### getMeasurement_Value

    org.eclipse.emf.ecore.EReference getMeasurement_Value()

  Returns the meta object for the reference '`Value`'.

  Returns:
    the meta object for the reference 'Value'.
  See Also:
    `Measurement.getValue()`, `getMeasurement()`

### getMeasurement_Name

    org.eclipse.emf.ecore.EAttribute getMeasurement_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Measurement.getName()`, `getMeasurement()`

### getMeasurement_Entries

    org.eclipse.emf.ecore.EReference getMeasurement_Entries()

  Returns the meta object for the containment reference list '`Entries`'.

  Returns:
    the meta object for the containment reference list 'Entries'.
  See Also:
    `Measurement.getEntries()`, `getMeasurement()`

### getMeasurement_Run

    org.eclipse.emf.ecore.EReference getMeasurement_Run()

  Returns the meta object for the container reference '`Run`'.

  Returns:
    the meta object for the container reference 'Run'.
  See Also:
    `Measurement.getRun()`, `getMeasurement()`

### getParameterSet

    org.eclipse.emf.ecore.EClass getParameterSet()

  Returns the meta object for class '`Parameter Set`'.

  Returns:
    the meta object for class 'Parameter Set'.
  See Also:
    `ParameterSet`

### getParameterSet_Members

    org.eclipse.emf.ecore.EReference getParameterSet_Members()

  Returns the meta object for the containment reference list '`Members`'.

  Returns:
    the meta object for the containment reference list 'Members'.
  See Also:
    `ParameterSet.getMembers()`, `getParameterSet()`

### getScaleType

    org.eclipse.emf.ecore.EEnum getScaleType()

  Returns the meta object for enum '`Scale Type`'.

  Returns:
    the meta object for enum 'Scale Type'.
  See Also:
    `ScaleType`

### getDataFactory

    DataFactory getDataFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD